classification
Title: Use _PY_FASTCALL_SMALL_STACK for method_vectorcall
Type: performance Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, jdemeyer, miss-islington
Priority: normal Keywords: patch

Created on 2019-06-11 14:43 by jdemeyer, last changed 2019-07-03 13:06 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13974 merged jdemeyer, 2019-06-11 15:16
PR 14550 merged jdemeyer, 2019-07-02 10:39
PR 14573 merged inada.naoki, 2019-07-03 12:18
PR 14574 merged miss-islington, 2019-07-03 12:47
Messages (5)
msg345234 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-06-11 14:43
The PEP 590 implementation for type "method" caused a minor regression: instead of using _PyObject_Call_Prepend(), method_vectorcall manually allocates and fills a newly allocated vector. This does NOT use the  _PY_FASTCALL_SMALL_STACK optimization, but it should.
msg345968 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-18 08:56
New changeset 988e6aa322fb61651812fa5a61ec73316c71b041 by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37233: use _PY_FASTCALL_SMALL_STACK in method_vectorcall (GH-13974)
https://github.com/python/cpython/commit/988e6aa322fb61651812fa5a61ec73316c71b041
msg347218 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-07-03 10:54
New changeset 53c214344038341ce86fcf7efa12dc33be9d5b45 by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-37233: optimize method_vectorcall in case of totalargs == 0 (GH-14550)
https://github.com/python/cpython/commit/53c214344038341ce86fcf7efa12dc33be9d5b45
msg347227 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-07-03 12:46
New changeset c7570d402e3ee8717615ffa020eb9e2215a77660 by Inada Naoki in branch '3.8':
[3.8] bpo-37233: use _PY_FASTCALL_SMALL_STACK in method_vectorcall (GH-13974)
https://github.com/python/cpython/commit/c7570d402e3ee8717615ffa020eb9e2215a77660
msg347229 - (view) Author: miss-islington (miss-islington) Date: 2019-07-03 13:06
New changeset 1099e343e88ddfb46b84ba4ffc6ecc449b7f7891 by Miss Islington (bot) in branch '3.8':
bpo-37233: optimize method_vectorcall in case of totalargs == 0 (GH-14550)
https://github.com/python/cpython/commit/1099e343e88ddfb46b84ba4ffc6ecc449b7f7891
History
Date User Action Args
2019-07-03 13:06:41miss-islingtonsetnosy: + miss-islington
messages: + msg347229
2019-07-03 12:47:07miss-islingtonsetpull_requests: + pull_request14392
2019-07-03 12:46:14inada.naokisetmessages: + msg347227
2019-07-03 12:18:47inada.naokisetpull_requests: + pull_request14391
2019-07-03 10:54:03inada.naokisetmessages: + msg347218
2019-07-02 10:39:31jdemeyersetpull_requests: + pull_request14367
2019-06-18 13:41:51jdemeyersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-06-18 08:56:57inada.naokisetnosy: + inada.naoki
messages: + msg345968
2019-06-11 15:16:43jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request13841
2019-06-11 14:43:31jdemeyercreate